curl --request PUT \
--url https://api.komerza.com/stores/{storeId}/products/{productId}/payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"blacklistedPaymentGateways": [
"<string>"
],
"additionalFees": {},
"additionalFixedFees": {}
}
'import requests
url = "https://api.komerza.com/stores/{storeId}/products/{productId}/payment"
payload = {
"blacklistedPaymentGateways": ["<string>"],
"additionalFees": {},
"additionalFixedFees": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
blacklistedPaymentGateways: ['<string>'],
additionalFees: {},
additionalFixedFees: {}
})
};
fetch('https://api.komerza.com/stores/{storeId}/products/{productId}/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Update Payment Settings
Sets a custom fee structure for a product.
Requires the stores.products.update permission.
Authorizations
Your API key goes here
Path Parameters
The ID of the store.
The ID of the product.
Body
The ProductPaymentForm with fee details.
Form for updating product payment information
The array of blocklisted payment methods for the specific product must be a valid Komerza payment method ID
The list of payment method fees, Payment Method -> Fee percentage
Show child attributes
Show child attributes
The list of fixed payment method fees, Payment Method -> Fixed fee amount
Show child attributes
Show child attributes
Response
The object was successfully updated.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the data associated with a response.